
TYPO3.Flow - Feature # 49185

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Cache
Created: 2013-06-17 Assigned To: Robert Lemke
Updated: 2013-06-20 Due date:
PHP Version: 5.4
Has patch: No
Complexity: medium
Subject: Iterator support for Cache Frontends / Backends
Description

In order to "find all" cache entries, we'd need some way to iterate over the entries. Thus implementing the Iterator interface in the
cache frontends and backends would be quite convenient.

This feature is needed for the Session optimization patches.

Related issues:
blocks TYPO3.Flow - Bug # 49189: Session storage has poor performance for hun... Resolved 2013-06-17

Associated revisions
Revision 119ac7c5 - 2013-06-18 14:01 - Robert Lemke 

[FEATURE] Iterator support for APC cache backend

This adds support for iterating over entries of an APC cache.

Change-Id: I59dde3adac329d336dd8e6ad6f8d5b9dd5ac9e05
Related: #49185
Releases: master, 2.0

Revision ebb88512 - 2013-06-18 14:01 - Robert Lemke 

[FEATURE] Iterator support for Cache Frontends / Backends

This adds support for iterating over entries of a cache. In this
particular patch only support for the VariableFrontend and the file
based backends is included. Further implementations will be part of
separate commits.

Change-Id: I27705b7041973de4c493f916fc703b7a574501f0
Resolves: #49185
Releases: master, 2.0

Revision f1c8c79f - 2013-06-19 16:06 - Robert Lemke 

[FEATURE] Iterator support for Cache Frontends / Backends

This adds support for iterating over entries of a cache. In this
particular patch only support for the VariableFrontend and the file
based backends is included. Further implementations will be part of
separate commits.

Change-Id: I27705b7041973de4c493f916fc703b7a574501f0
Resolves: #49185
Releases: master, 2.0

Revision 95016a80 - 2013-06-20 09:04 - Robert Lemke 

[FEATURE] Iterator support for APC cache backend

This adds support for iterating over entries of an APC cache.

Change-Id: I59dde3adac329d336dd8e6ad6f8d5b9dd5ac9e05
Related: #49185
Releases: master, 2.0

History
#1 - 2013-06-17 12:16 - Robert Lemke
- Status changed from New to Accepted

#2 - 2013-06-17 13:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21475

#3 - 2013-06-17 14:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21475

#4 - 2013-06-17 15:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21475

#5 - 2013-06-17 23:38 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21475

#6 - 2013-06-18 14:02 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21475
#7 - 2013-06-19 15:37 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ebb885123b6e328f555d7971f0dc75590902c80b.

#8 - 2013-06-19 16:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21506

#9 - 2013-06-20 09:37 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:f1c8c79f2aa6ba0ae7faf46a468f7e16c18823e1.
